Bug 1592270 - glibc: Problem with iconv converting ISO8859-1 to IBM273 [fedora]
Summary: glibc: Problem with iconv converting ISO8859-1 to IBM273 [fedora]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 28
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian Weimer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1591268
TreeView+ depends on / blocked
 
Reported: 2018-06-18 09:54 UTC by Florian Weimer
Modified: 2018-06-23 20:47 UTC (History)
11 users (show)

Fixed In Version: glibc-2.27.9000-24.fc29 glibc-2.27-19.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1591268
Environment:
Last Closed: 2018-06-23 20:47:59 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Sourceware 23290 0 None None None 2018-06-18 12:52:18 UTC

Description Florian Weimer 2018-06-18 09:54:17 UTC
+++ This bug was initially created as a clone of Bug #1591268 +++

Converting files or characters using iconv (or the iconv library) result in
an "illegal input sequence" error when encountering an "overscore" character
(IS08859-1: Hex "AF"). This happens tough there is a corresponding character
is available in IBM273 (Hex: "BC"). Converting to IBM1141, which is  the same
table as IBM273 except for the EURO-Sign works.

You can reproduce this behavior with the following command:

echo "AF" | xxd -r -p | iconv -f iso8859-1 -t ibm273

In contrast:
echo "AF" | xxd -r -p | iconv -f iso8859-1 -t ibm1141
works.

Using ibm273//TRANSLIT is not an option currently, as it would require a
lot of changes in the user code, and would just not throw an error, but
replace the "overscore" with an "o".

This problem happens in rhel7 and fedora 28.

Comment 1 Fedora Update System 2018-06-20 16:59:26 UTC
glibc-2.27-19.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e51a452b8f

Comment 2 Fedora Update System 2018-06-21 16:13:45 UTC
glibc-2.27-19.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e51a452b8f

Comment 3 Fedora Update System 2018-06-23 20:47:59 UTC
glibc-2.27-19.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.